Bug 836598 - Section 7.3 of ESB Services guide example is not a jboss-esb.xml
Section 7.3 of ESB Services guide example is not a jboss-esb.xml
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: doc-ESB_Services_Guide (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Suz
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 11:33 EDT by tcunning
Modified: 2014-11-09 18:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-20 21:46:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tcunning 2012-06-29 11:33:01 EDT
Description of problem:

The example in section 13.3 of the ESB Services guide (http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_SOA_Platform/5/html-single/ESB_Services_Guide/index.html) is not a jboss-esb.xml.   It should be replaced with something like this : 

            <actions mep="OneWay">

                   <action name="jbpm5" class="org.jboss.soa.esb.services.jbpm5.actions.Bpm5Processor">
                      <property name="processHandlerClass" value="org.jbpm.task.service.hornetq.CommandBasedHornetQWSHumanTaskHandler"/>
                      <property name="processHandlerHost" value="127.0.0.1"/>
                      <property name="processHandlerPort" value="5446"/>
                      <property name="process-definition-name" value="sample.bpmn"/>
                      <property name="process-id" value="com.sample.bpmn.hello"/>
                      <property name="process-action" value="startProcess"/>
                      <property name="esbToBpmParams">
                        <mapping esb="ServiceCategory" bpm="ServiceCategory" value="EsbJbpm5Example"/>
                        <mapping esb="ServiceName" bpm="ServiceName" value="Printer"/>
                      </property>
                   </action>
             </actions>
        </service>
Comment 2 Suz 2012-11-01 19:14:44 EDT
I have put this example code into 7.3 to replace the old example.

Note You need to log in before you can comment on or make changes to this bug.